titles = {
    "td1": "280000mt ME Gulf to US Gulf",
    "td2": "270000mt ME Gulf to Singapore",
    "td3": "ME Gulf to Japan",
    "td4": "W Africa to US Gulf",
    "td5": "W Africa to USAC",
    "td6": "Black Sea / Med",
    "td7": "North Sea to Cont",
    "td8": "Kuwait-Singapore (Crude/DPP Heat 135F)",
    "td9": "TD9",
    "td10d": "Caribs to USAC - Double hull vessel",
    "td12": "ARA to US Gulf",
    "td14": "SE Asia to EC Australia",
    "td15": "West Africa to China",
    "td16": "Black Sea to Mediterranean",
    "td17": "Baltic to UK-Cont",
    "td18": "Baltic to UK-Cont",
    "td19": "Cross Med",
    "tc1": "Middle East Gulf - Japan",
    "tc2": "Continent to USAC",
    "tc3_38": "Caribbean - USAC",
    "tc5": "Middle East to Japan",
    "tc6": "Algeria/Euromed",
    "tc9": "CPP/UNL m/distillate Baltic to UK/Cont.",
    "tc8": "CPP/UNL m/distillate AG to UK-Cont",
    "tc14": "U.S.Gulf to Continent",
}

rott_fuels = {
    "AAYWT00": "MGO",  # Gasoil 0.1% Rdam FOB Barges Platt's Mid (US$/T)
    "PUMFD00": "VLSFO",  # 0.5% FOB Rotterdam barge
    "PUAAP00": "LSFO",  # No.6 1%/LSFO NWE FOB Barges Platt's Mid (US$/T)
    "PUABC00": "HSFO",  # HSFO 3.5% NWE FOB Barges Platt's Mid (US$/T)
}

sing_fuels = {
    "AAFEX00": "MGO",  # Gasoil .05%S (500ppm) FOB Spore Cargo (DW USD/BBL)
    "AMFSA00": "VLSFO",  # Marine Fuel 0.5% FOB Spore Cargo $/mt (DW USD/MT)
    # 'AAFEX00': 'LSFO', # Gasoil 0.05% Singapore Platt's Mid (US$/Bbl)
    "PPXDK00": "HSFO",  # HSFO 380 4.0% Singapore Platt's Mid (US$/T)
}

route_using_sing_fuels = ["TC5", "TC6", "TC7", "TC12", "TD3c", "TD22"]

route_data = {
    "TC1": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 42.5,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 6638,
        "Laden Miles Non ECA": 6637,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 75000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0.27,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Yokohama",
        "Load Port": "Ras Tanura",
        "Discharge Port": "Yokohama",
        "Bunkers": "Singapore",
        "Charges - Load port": 33992.53333333333,
        "Charges - Discharge port": 39770.499394431405,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC2_37": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 27500,
        "$ per GRT": 1.1351062,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 1682,
        "Laden Miles Non ECA": 1690,
        "Ballast Miles ECA": 1667,
        "Laden Miles ECA": 1658,
        "Cargo Quantity (Mts)": 37000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "New York",
        "Load Port": "Rotterdam",
        "Discharge Port": "New York",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 56129.68483816014,
        "Charges - Discharge port": 63905,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC4": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 2925,
        "Laden Miles Non ECA": 2924,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 30000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Chiba",
        "Load Port": "Singapore",
        "Discharge Port": "Chiba",
        "Bunkers": "Singapore",
        "Charges - Load port": 21012.08571216727,
        "Charges - Discharge port": 30883.45748165812,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC5": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 28,
        "IFO-Laden": 33,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 32,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 6638,
        "Laden Miles Non ECA": 6637,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 55000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0.27,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Yokohama",
        "Load Port": "Ras Tanura",
        "Discharge Port": "Yokohama",
        "Bunkers": "Singapore",
        "Charges - Load port": 27736.533333333333,
        "Charges - Discharge port": 34159.53453645977,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC6": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 21,
        "IFO-Laden": 25,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 20,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 407,
        "Laden Miles Non ECA": 406,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 30000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Lavera",
        "Load Port": "Skikda",
        "Discharge Port": "Lavera",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 82190,
        "Charges - Discharge port": 56214.86371379898,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC7": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 4471,
        "Laden Miles Non ECA": 4471,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 35000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Australia",
        "Load Port": "Singapore",
        "Discharge Port": "Australia",
        "Bunkers": "Singapore",
        "Charges - Load port": 17862.386001334617,
        "Charges - Discharge port": 70636.97318007663,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC8": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 28,
        "IFO-Laden": 33,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 32,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 42432,
        "$ per GRT": 0,
        "Suez Canal NT": 38300,
        "Canal Rate": 213400,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 6090,
        "Laden Miles Non ECA": 6090,
        "Ballast Miles ECA": 417,
        "Laden Miles ECA": 424,
        "Cargo Quantity (Mts)": 65000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 8.68,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 2,
        "Weather Factor:": 0.05,
        "Last Port": "Rotterdam",
        "Load Port": "Jubail",
        "Discharge Port": "Rotterdam",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 28211.466666666667,
        "Charges - Discharge port": 82956.77172061328,
        "Canal Dues": 545844,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "Yes",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC9": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 21,
        "IFO-Laden": 25,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 20,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 0,
        "Laden Miles Non ECA": 0,
        "Ballast Miles ECA": 1616,
        "Laden Miles ECA": 1617,
        "Cargo Quantity (Mts)": 30000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Le Havre",
        "Load Port": "Primorsk",
        "Discharge Port": "Le Havre",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 44824.276155821324,
        "Charges - Discharge port": 64249.36115843271,
        "Canal Dues": 9243,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC10": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 4835,
        "Laden Miles Non ECA": 4834,
        "Ballast Miles ECA": 540,
        "Laden Miles ECA": 541,
        "Cargo Quantity (Mts)": 40000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "L A",
        "Load Port": "Yosu",
        "Discharge Port": "L A",
        "Bunkers": "Singapore",
        "Charges - Load port": 25268.56241036924,
        "Charges - Discharge port": 50718,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC11": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 2480,
        "Laden Miles Non ECA": 2480,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 40000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Singapore",
        "Load Port": "Yosu",
        "Discharge Port": "Singapore",
        "Bunkers": "Singapore",
        "Charges - Load port": 25268.56241036924,
        "Charges - Discharge port": 17862.386001334617,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC12": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 35000,
        "$ per GRT": 0.24,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 5717,
        "Laden Miles Non ECA": 5716,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 35000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Chiba",
        "Load Port": "Jamangar",
        "Discharge Port": "Chiba",
        "Bunkers": "Singapore",
        "Charges - Load port": 33199,
        "Charges - Discharge port": 25452.92496207672,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC14": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3715,
        "Laden Miles Non ECA": 3704,
        "Ballast Miles ECA": 1426,
        "Laden Miles ECA": 1437,
        "Cargo Quantity (Mts)": 38000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Amsterdam",
        "Load Port": "Houston",
        "Discharge Port": "Amsterdam",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 37725,
        "Charges - Discharge port": 73438.03236797274,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC15": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 42.5,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 53986,
        "Canal Rate": 236200,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 9269,
        "Laden Miles Non ECA": 9269,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 80000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 8.11,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 2,
        "Weather Factor:": 0.05,
        "Last Port": "Chiba",
        "Load Port": "Skikda",
        "Discharge Port": "Chiba",
        "Bunkers": "Singapore",
        "Charges - Load port": 185686,
        "Charges - Discharge port": 43580.40141174781,
        "Canal Dues": 674026.46,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "YES",
        "Lumpsum": "YES",
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC16": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 28,
        "IFO-Laden": 33,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 32,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3717,
        "Laden Miles Non ECA": 3727,
        "Ballast Miles ECA": 455,
        "Laden Miles ECA": 444,
        "Cargo Quantity (Mts)": 60000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Offshore Lome",
        "Load Port": "Amsterdam",
        "Discharge Port": "Offshore Lome",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 103776.61839863713,
        "Charges - Discharge port": 10556.856899488927,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC17": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 2855,
        "Laden Miles Non ECA": 2854,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 35000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0.27,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Dar-es-Salaam",
        "Load Port": "Jubail",
        "Discharge Port": "Dar-es-Salaam",
        "Bunkers": "Singapore",
        "Charges - Load port": 19294.666666666668,
        "Charges - Discharge port": 56575,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC18": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 5210,
        "Laden Miles Non ECA": 5209,
        "Ballast Miles ECA": 381,
        "Laden Miles ECA": 381,
        "Cargo Quantity (Mts)": 38000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Santos",
        "Load Port": "Houston",
        "Discharge Port": "Santos",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 37725,
        "Charges - Discharge port": 37224.53281141201,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD1": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 53,
        "IFO-Laden": 70,
        "IFO-Port (Loading)": 20,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 110,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 155000,
        "Canal Rate": 516177,
        "Canal Port Cost": 46066,
        "Ballast Miles Non ECA": 9039,
        "Laden Miles Non ECA": 12131,
        "Ballast Miles ECA": 592,
        "Laden Miles ECA": 207,
        "Cargo Quantity (Mts)": 280000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0.27,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1.5,
        "Days-Canal": 1,
        "Weather Factor:": 0.05,
        "Last Port": "Loop",
        "Load Port": "Ras Tanura",
        "Discharge Port": "Loop",
        "Bunkers": "Singapore",
        "Charges - Load port": 101508.8,
        "Charges - Discharge port": 18975,
        "Canal Dues": 562243,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD2": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 53,
        "IFO-Laden": 70,
        "IFO-Port (Loading)": 20,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 110,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 155000,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3735,
        "Laden Miles Non ECA": 3734,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 270000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0.27,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Singapore",
        "Load Port": "Ras Tanura",
        "Discharge Port": "Singapore",
        "Bunkers": "Singapore",
        "Charges - Load port": 98842.13333333333,
        "Charges - Discharge port": 70184.54270318152,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD3 C": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 53,
        "IFO-Laden": 70,
        "IFO-Port (Loading)": 20,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 110,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 155000,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 5812,
        "Laden Miles Non ECA": 5812,
        "Ballast Miles ECA": 85,
        "Laden Miles ECA": 85,
        "Cargo Quantity (Mts)": 270000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0.27,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 2,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Ningbo",
        "Load Port": "Ras Tanura",
        "Discharge Port": "Ningbo",
        "Bunkers": "Singapore",
        "Charges - Load port": 98842.13333333333,
        "Charges - Discharge port": 192775.2892870474,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD6": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 44,
        "IFO-Laden": 53,
        "IFO-Port (Loading)": 12,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 68,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 1269,
        "Laden Miles Non ECA": 1268,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 135000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 2,
        "Weather Factor:": 0.05,
        "Last Port": "Augusta",
        "Load Port": "Novo CPC",
        "Discharge Port": "Augusta",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 59223.32336066145,
        "Charges - Discharge port": 150683.5604770017,
        "Canal Dues": 146377,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD7": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 0,
        "Laden Miles Non ECA": 0,
        "Ballast Miles ECA": 444,
        "Laden Miles ECA": 444,
        "Cargo Quantity (Mts)": 80000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Wihelmshaven",
        "Load Port": "Hound Point",
        "Discharge Port": "Wihelmshaven",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 220640.39408866994,
        "Charges - Discharge port": 80507.8790459966,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD8": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 289.88,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3861,
        "Laden Miles Non ECA": 3861,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 80000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Singapore",
        "Load Port": "Mina Al Ahmadi",
        "Discharge Port": "Singapore",
        "Bunkers": "Singapore",
        "Charges - Load port": 44743.882544861335,
        "Charges - Discharge port": 22820.550675426293,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": "IFO",
    },
    "TD9": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 1498,
        "Laden Miles Non ECA": 1497,
        "Ballast Miles ECA": 202,
        "Laden Miles ECA": 202,
        "Cargo Quantity (Mts)": 70000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Corpus Christi",
        "Load Port": "Covenas",
        "Discharge Port": "Corpus Christi",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 93728,
        "Charges - Discharge port": 49616,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD12": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 28,
        "IFO-Laden": 33,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 32,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 149.30769230769232,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3712,
        "Laden Miles Non ECA": 3712,
        "Ballast Miles ECA": 1388,
        "Laden Miles ECA": 1388,
        "Cargo Quantity (Mts)": 55000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Houston",
        "Load Port": "Antwerp",
        "Discharge Port": "Houston",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 96647.1465076661,
        "Charges - Discharge port": 50635,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": "LSMGO",
    },
    "TD14": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3802,
        "Laden Miles Non ECA": 3802,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 80000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Sydney",
        "Load Port": "Seria",
        "Discharge Port": "Sydney",
        "Bunkers": "Singapore",
        "Charges - Load port": 87700,
        "Charges - Discharge port": 83158.7129917534,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD15": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 53,
        "IFO-Laden": 70,
        "IFO-Port (Loading)": 20,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 110,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 155000,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 10127,
        "Laden Miles Non ECA": 10127,
        "Ballast Miles ECA": 85,
        "Laden Miles ECA": 85,
        "Cargo Quantity (Mts)": 260000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Ningbo",
        "Load Port": "Serp FPSO+Bonny offshore",
        "Discharge Port": "Ningbo",
        "Bunkers": "Singapore",
        "Charges - Load port": 29307,
        "Charges - Discharge port": 192775.2892870474,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD17": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 0,
        "Laden Miles Non ECA": 0,
        "Ballast Miles ECA": 1305,
        "Laden Miles ECA": 1305,
        "Cargo Quantity (Mts)": 100000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Wihelmshaven",
        "Load Port": "Primorsk",
        "Discharge Port": "Wihelmshaven",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 131845.13518826064,
        "Charges - Discharge port": 80507.8790459966,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD18": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 21,
        "IFO-Laden": 25,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 20,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 34.68461538461539,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 0,
        "Laden Miles Non ECA": 0,
        "Ballast Miles ECA": 1272,
        "Laden Miles ECA": 1272,
        "Cargo Quantity (Mts)": 30000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Amsterdam",
        "Load Port": "Tallinn",
        "Discharge Port": "Amsterdam",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 60423.76490630324,
        "Charges - Discharge port": 66237.22316865418,
        "Canal Dues": 9243,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": "LSMGO",
    },
    "TD19": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 1720,
        "Laden Miles Non ECA": 1719,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 80000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Lavera Euro",
        "Load Port": "Ceyhan Euro",
        "Discharge Port": "Lavera Euro",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 139911.6269165247,
        "Charges - Discharge port": 121248.93526405451,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD20": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 44,
        "IFO-Laden": 53,
        "IFO-Port (Loading)": 12,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 68,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 82000,
        "$ per GRT": 1.3622925,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 4058,
        "Laden Miles Non ECA": 4050,
        "Ballast Miles ECA": 417,
        "Laden Miles ECA": 424,
        "Cargo Quantity (Mts)": 130000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Rotterdam",
        "Load Port": "Offshore Bonny",
        "Discharge Port": "Rotterdam",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 14695,
        "Charges - Discharge port": 150589.863713799,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD21": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 28,
        "IFO-Laden": 33,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 32,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 55.830769230769235,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 1232,
        "Laden Miles Non ECA": 1232,
        "Ballast Miles ECA": 397,
        "Laden Miles ECA": 396,
        "Cargo Quantity (Mts)": 50000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Houston",
        "Load Port": "Mamonal",
        "Discharge Port": "Houston",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 47007,
        "Charges - Discharge port": 50635,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": "LSMGO",
    },
    "TD22": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 53,
        "IFO-Laden": 70,
        "IFO-Port (Loading)": 20,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 110,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 155000,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 14975,
        "Laden Miles Non ECA": 14974,
        "Ballast Miles ECA": 291,
        "Laden Miles ECA": 291,
        "Cargo Quantity (Mts)": 270000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Ningbo",
        "Load Port": "Galveston O/S Lightering area",
        "Discharge Port": "Ningbo",
        "Bunkers": "Singapore",
        "Charges - Load port": 4995,
        "Charges - Discharge port": 192775.2892870474,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": "YES",
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD23": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 44,
        "IFO-Laden": 53,
        "IFO-Port (Loading)": 12,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 68,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 10,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 76714,
        "Canal Rate": 355142,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 4851,
        "Laden Miles Non ECA": 4851,
        "Ballast Miles ECA": 0,
        "Laden Miles ECA": 0,
        "Cargo Quantity (Mts)": 140000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 5.48,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 2,
        "Weather Factor:": 0.05,
        "Last Port": "Lavera",
        "Load Port": "Basrah",
        "Discharge Port": "Lavera",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 167276.5226429649,
        "Charges - Discharge port": 174625.21294718908,
        "Canal Dues": 775534.72,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "YES",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD24": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 969,
        "Laden Miles Non ECA": 968,
        "Ballast Miles ECA": 46,
        "Laden Miles ECA": 46,
        "Cargo Quantity (Mts)": 100000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Qingdao",
        "Load Port": "Kozmino",
        "Discharge Port": "Qingdao",
        "Bunkers": "Singapore",
        "Charges - Load port": 90804.13240366789,
        "Charges - Discharge port": 69002.62957481356,
        "Canal Dues": 0,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": 0,
        "Lumpsum": "YES",
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD25": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 57300,
        "$ per GRT": 1.27623036649215,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 4458,
        "Laden Miles Non ECA": 4457,
        "Ballast Miles ECA": 655,
        "Laden Miles ECA": 655,
        "Cargo Quantity (Mts)": 70000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Rotterdam",
        "Load Port": "Houston",
        "Discharge Port": "Rotterdam",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 50570,
        "Charges - Discharge port": 108345.4003407155,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TD26": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 55,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 412.75,
        "Laden Miles Non ECA": 412.75,
        "Ballast Miles ECA": 257.5,
        "Laden Miles ECA": 257.5,
        "Cargo Quantity (Mts)": 70000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 0.5,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Houston",
        "Load Port": "Dos Bocas-Cayo Arcas AVG",
        "Discharge Port": "Houston",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 56401,
        "Charges - Discharge port": 50570,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC19": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 3836,
        "Laden Miles Non ECA": 3847,
        "Ballast Miles ECA": 455,
        "Laden Miles ECA": 444,
        "Cargo Quantity (Mts)": 37000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Lagos",
        "Load Port": "Amsterdam",
        "Discharge Port": "Lagos",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 73438.03236797274,
        "Charges - Discharge port": 17899,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC20": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 36,
        "IFO-Laden": 43,
        "IFO-Port (Loading)": 10,
        "MDO-Port (Loading)": 1,
        "IFO-Port (Discharging)": 42.5,
        "MDO-Port (Discharging)": 1,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 53986,
        "Canal Rate": 236200,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 6090,
        "Laden Miles Non ECA": 6090,
        "Ballast Miles ECA": 417,
        "Laden Miles ECA": 424,
        "Cargo Quantity (Mts)": 90000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 8.11,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 2,
        "Weather Factor:": 0.05,
        "Last Port": "Rotterdam",
        "Load Port": "Jubail",
        "Discharge Port": "Rotterdam",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 37957.6,
        "Charges - Discharge port": 102755.53662691652,
        "Canal Dues": 674026.46,
        "LoadingFuel": "IFO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "IFO",
        "SuezWaiting": "YES",
        "Lumpsum": "YES",
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC21": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 22.5,
        "IFO-Laden": 28,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 25,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 1402,
        "Laden Miles Non ECA": 1402,
        "Ballast Miles ECA": 236,
        "Laden Miles ECA": 236,
        "Cargo Quantity (Mts)": 38000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Pozos Colorados",
        "Load Port": "Houston",
        "Discharge Port": "Pozos Colorados",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 37725,
        "Charges - Discharge port": 80038,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "IFO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": "YES",
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
    "TC23": {
        "Knots Ballast": 12.5,
        "Knots Laden": 13,
        "IFO-Ballast": 21,
        "IFO-Laden": 25,
        "IFO-Port (Loading)": 5,
        "MDO-Port (Loading)": 2,
        "IFO-Port (Discharging)": 20,
        "MDO-Port (Discharging)": 2,
        "Heating Fuel Consumption": 0,
        "IFO-Anchor": 5,
        "GRT": 0,
        "$ per GRT": 0,
        "Suez Canal NT": 0,
        "Canal Rate": 0,
        "Canal Port Cost": 0,
        "Ballast Miles Non ECA": 0,
        "Laden Miles Non ECA": 0,
        "Ballast Miles ECA": 307,
        "Laden Miles ECA": 308,
        "Cargo Quantity (Mts)": 30000,
        "Commission %": 3.75,
        "Additional Expenses": 0,
        "Premium": 0,
        "WS Fixed Differential": 0,
        "Days-Loading": 2,
        "Days-Discharging": 2,
        "Days-Waiting": 1,
        "Days-Canal": 0,
        "Weather Factor:": 0.05,
        "Last Port": "Le Havre",
        "Load Port": "Amsterdam",
        "Discharge Port": "Le Havre",
        "Bunkers": "Rotterdam",
        "Charges - Load port": 66237.22316865418,
        "Charges - Discharge port": 64249.36115843271,
        "Canal Dues": 0,
        "LoadingFuel": "LSMGO",
        "DischargeFuel": "LSMGO",
        "WaitingFuel": "LSMGO",
        "SuezWaiting": "NO",
        "Lumpsum": 0,
        "OwnerPremium": 0,
        "HeatingFuel": 0,
    },
}
